Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002407 [JEDI VCL] 00 JVCL Components minor always 2004-12-20 07:30 2004-12-22 14:47
Reporter carlosw View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002407: Asigning a default value to a TJvDateParameter doesn't work
Description   Par := TJvDateParameter.Create(Params);
  with TJvDateParameter(Par) do
  begin
    SearchName := 'BeginPeriode';
    Caption := 'Periode';
    LabelWidth := 50;
    EditWidth := 85;
    AsDate := Now - 30; ==>> DOESN'T WORK
  end;
  Params.AddParameter(Par);
Additional Information Possible fix:

in TJvDynControlEngineJVCL:

procedure TJvDynControlJVCLDateEdit.ControlSetValue(Value: Variant);
begin
// Text := Value; ==> Old
  DateTime := Value; ==> Should be
end;

function TJvDynControlJVCLDateEdit.ControlGetValue: Variant;
begin
// Result := Text; ==> Old
  Result := DateTime; ==> Should be
end;
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0005991)
jfudickar (developer)
2004-12-22 14:47

Changed and fixed. Your suggestion was right.

Thanks.

- Issue History
Date Modified Username Field Change
2004-12-20 07:30 carlosw New Issue
2004-12-21 05:57 jfudickar Status new => assigned
2004-12-21 05:57 jfudickar Assigned To => jfudickar
2004-12-21 05:57 jfudickar Issue Monitored: jfudickar
2004-12-22 14:47 jfudickar Status assigned => resolved
2004-12-22 14:47 jfudickar Resolution open => fixed
2004-12-22 14:47 jfudickar Note Added: 0005991


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker